routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


/*Route::get('/', function () {
    // return redirect('/login');
     return view('welcome');
});*/

Route::get('/', 'HomeController@index');

Route::get('home/', 'HomeController@index');

Route::get('/terms', function () {
    return view('terms_conditions');
});

Route::get('/activities/add-cart', 'ActivityController@add_cart');
Route::get('/cart/', 'ActivityController@cart');
Route::get('checkout', 'ActivityController@checkout');
Route::get('/activities/remove-cart', 'ActivityController@remove_cart');

/*Route::get('login', 'LoginController@login');
Route::post('signup', 'AdLoginController@signup');
Route::post('logout', 'AdLoginController@logout');*/

use App\User;
Auth::routes();
Route::post('/user_registration', 'RegisterController@register');
Route::post('/news-letter-register', 'RegisterController@news_letter_register');
Route::post('check-email-register', 'RegisterController@check_email_register');
Route::post('userlogin', 'RegisterController@auth');
Route::post('loginVerfi', 'RegisterController@loginVerfi');
Route::post('send-forget-email', 'RegisterController@send_forget_email');
Route::get('forget-password', 'RegisterController@forget_password');
Route::post('password-reset', 'RegisterController@reset_password');
Route::post('password-reset-change', 'RegisterController@password_reset_change');
Route::get('logout', 'LoginController@logout');
Route::get('admin', 'Admin\AdLoginController@index');
Route::get('change-password', 'LoginController@change_password');

Route::post('changepassword', 'ProfileController@changepassword');
Route::post('update-profile', 'ProfileController@update_profile');

Route::get('edit-profile', 'ProfileController@index');

Route::get('explore-gallery', 'HomeController@more_gallery');
Route::get('featured-images', 'HomeController@images');

Route::get('/favourites/add-favorite', 'FavouritesController@add_favorite');
Route::get('/favourites/remove-favorite', 'FavouritesController@remove_favorite');
Route::get('/favourites/removefavorite', 'FavouritesController@removefavorite');
Route::get('/favourites-listing', 'FavouritesController@index');

/************************** route for guide iceland view more/articles page**************************/

Route::get('article', 'ArticlesController@index');

/************************** route for guide iceland view more/articles page ends  **************************/

/************************** route for articles single page  **************************/

Route::get('article/detail/{id}', 'ArticlesController@detail');

/************************** route for articles single page ends  **************************/
//************************** Activities Start***********************************/

Route::get('activities/search', 'ActivityController@searchAct');
Route::get('more-activities', 'ActivityController@allActivities');
Route::get('activity/detail/{id}', 'ActivityController@detail');
Route::get('activities/detail/{id}', 'ActivityController@detail');
Route::get('get-activities-by/{slug}', 'ActivityController@get_activities_bySubCat');
Route::get('get-activities/{slug}', 'ActivityController@getActivitiesBySubCat');
// Route::get('activities', 'ActivityController@allActivities');


//**************************** Activities end **********************/

/**********************`**** route for search page  **************************/

Route::get('search', 'SearchController@searchPage');

Route::get('places/SearchPlcAutoName', 'SearchController@SearchPlcAutoName');
Route::get('search/searchAutoRestName', 'SearchController@searchRstAutoName');
Route::get('search/SearchActAutoName', 'SearchController@searchActAutoName');
/************************** route for search page ends  **************************/
//************************* route for places module start *****************************/
Route::get('places/search', 'PlaceController@search');

Route::get('place/detail/{id}', 'PlaceController@detail');
Route::get('get-places-by/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('places/{slug}', 'PlaceController@get_places_bySubCat');
Route::get('place/subcategory', 'PlaceController@get_subcategories');

/////////////////////// route for restaurants  start//////////////////////

Route::get('restaurants/search', 'RestaurantController@search');
Route::get('restaurants/detail/{id}', 'RestaurantController@detail');
 ////will remove below line.///////
Route::get('get-restaurants-by/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurants/{slug}', 'RestaurantController@get_restaurants_bySubCat');

Route::get('restaurant/subcategory', 'RestaurantController@get_subcategories');
////////////////////// route for restaurants end /////////////////
// ///////////////////// Review ///////////////////////////
Route::post('review/store', 'ReviewController@store');
///////////////////// route for item detail start ////////////////

Route::view('terms-conditions', 'terms_conditions');
Route::view('privacy-policy', 'privacy_policy');


/************************** route for search page to get search data  **************************/

Route::get('getSearch', 'Admin\ActivityController@getSearch');

/************************** route for search page to get search data ends  **************************/


Route::prefix('admin')->group(function () {
    Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('register', 'Admin\AdLoginController@register');
    Route::get('test', 'Admin\AdLoginController@test');
    Route::post('auth', 'Admin\AdLoginController@auth');
  Route::get('logout', 'Admin\AdLoginController@logout');
  /*  Route::get('signup', 'Admin\AdLoginController@signup');
    Route::post('login', 'Admin\AdLoginController@index');
    Route::post('logout', 'Admin\AdLoginController@logout');*/
    // Route::get('dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get('/dashboard', 'Admin\DashboardController@index')->name('dashboard');
    Route::get( 'ausers/api', 'Admin\UserController@apiUsers')->name('api.users');
     Route::get( 'users-lisitng', 'Admin\UserController@users_lisitng')->name('users-lisitng');
    Route::resource( 'users', 'Admin\UserController');
    Route::get( 'administrator-listing', 'Admin\AdminController@administrator_listing')->name('administratorListing');
    Route::resource( 'administrator', 'Admin\AdminController');

    //////////////////////Customers Listing//////////////////////
    Route::resource( 'customers', 'Admin\CustomerController');


    Route::get( 'placesListing', 'Admin\PlacesController@placesListing' )->name('placesListing');
    Route::get( 'places/remove_image', 'Admin\PlacesController@remove_image' );
    Route::get( 'places-listing', 'Admin\PlacesController@places_listing' )->name('places_listing');




Route::get( 'places/import-excel', 'Admin\PlacesController@import_excel' ); 
Route::post('places/import-places', 'Admin\PlacesController@store_excel');
Route::get('places/import-rcg-plc' , 'Admin\PlacesController@import_rcg_plc');
Route::get('places/import-idiscover-plc' , 'Admin\PlacesController@import_idiscover_plc');
Route::resource( '/places', 'Admin\PlacesController' );
//////////////////////////// sctivities //////////////////////////////////////////////////////////////

    Route::get( 'activities/remove_image', 'Admin\ActivityController@remove_image' );
    Route::get( 'activities/geocodes', 'Admin\ActivityController@geo_codes' );

    Route::get( 'activity/availability', 'Admin\ActivityController@activity_availability' );

    Route::get( 'activities/api', 'Admin\ActivityController@api' );
    Route::get( 'activities/api_old', 'Admin\ActivityController@api_old' );

Route::get( 'activities-listing', 'Admin\ActivityController@activities_listing' )->name('activities_listing'); 
    Route::resource( '/activities', 'Admin\ActivityController' );
    ////////////////////////////// articals /////////////////////////////////////////
   Route::get( 'articles/remove-image/{id}', 'Admin\ArticlesController@remove_image' ); 
    Route::get( 'articles-listing ', 'Admin\ArticlesController@articles_listing' )->name('articles_listing');
    Route::resource( '/articles', 'Admin\ArticlesController' );

    ////////////// restaurants ///////////////////////////////////////////////////////////
 Route::get('restaurants/import-rcg-places', 'Admin\RestaurantController@import_rcg_rst');
     Route::get('restaurants/import-idiscover-rst', 'Admin\RestaurantController@import_idiscover_rst');
Route::get( '/restaurants/address_delete/{id}', 'Admin\RestaurantController@address_delete');
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address'); 
Route::post( '/restaurants/address_store/{id}', 'Admin\RestaurantController@address_store'); 
Route::get( '/restaurants/remove_image/{id}', 'Admin\RestaurantController@remove_image' ); 
Route::post( '/restaurants/edit_address', 'Admin\RestaurantController@edit_address');
Route::get( '/restaurant-listing', 'Admin\RestaurantController@restaurant_listing'); 
Route::get( '/restaurants/address/{id}', 'Admin\RestaurantController@address' ); 
Route::resource( '/restaurants', 'Admin\RestaurantController' );


    Route::get( 'categoriesListing', 'Admin\CategoriesController@categoryListing' )->name('categoryListing');
    Route::resource( '/categories', 'Admin\CategoriesController' );

    Route::get( 'subcategories/subcategoriesListing', 'Admin\SubCategoriesController@subcategoriesListing' )->name('subcategoriesListing');
    Route::resource( '/subcategories', 'Admin\SubCategoriesController' );

app/Models/Articles.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;


class Articles extends Model {


    protected $table = 'articles';
    protected $guarded = [ 'id' ];
    protected $fillable = ['title','short_des','publish_by','publish_on','keyword','order_no','slug','description','created_by','created_at','updated_at'];

    public function photo()
    {
        return $this->hasMany('App\Models\Photo','instance_id');
    }

    public function single_photo()
    {
        return $this->hasOne('App\Models\Photo','instance_id');
    }
    public function keywords()
    {
        return $this->belongsToMany('App\Models\Keyword','multi_keywords','instance_id','keyword_id');
    }

}

app/Http/Controllers/ArticlesController.php
<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Articles;
class ArticlesController extends Controller
{


    public function index()
    {
        // get data from articles table
        $data  = Articles::select('*')
                    ->with(['keywords' =>function($query){

                        $query->select('keywords.id', 'keywords.category_id', 'keyword_name');
                        $query->Where('keywords.category_id', '=',4);
                    }])
            ->where(array('status'=>'Active'))->orderBy('updated_at', 'DESC')
            ->with([
                'single_photo' => function ($querys) {
                    $querys->select('photo', 'category_id', 'instance_id');
                    $querys->Where('category_id', '=',4);
                }])->orderBy('order_no','ASC')-> get();

            //dd($data);
        // load view file called all_articles
        return view("articles.all_articles")->with('all_articles',$data);
    }

    public function detail($id)
    {
        // get data from articles table
        $data  = Articles::select('*')->with(['keywords' =>function($query){

                        $query->select('keywords.id', 'keywords.category_id', 'keyword_name');
                        $query->Where('keywords.category_id', '=',4);
            }])->where(array('slug'=>$id))
            ->with([
                'single_photo' => function ($querys) {
                    $querys->select('photo', 'category_id', 'instance_id');
                    $querys->Where('category_id', '=',4);
                }])
            ->first();
      // dd($data);
       // $data = Articles::select('*')->where(array('status'=>'Active'))->first()->toArray();
        // load view file called all_articles
        return view("articles.single_detail",compact('data'));
    }
}

resources/views/admin/articles/_form.blade.php
@extends('layouts.master')
@section('title', 'Add Article')
@section('header_space')
    <link href="{{ asset('public/admin/css/select2.css') }}" rel="stylesheet" type="text/css" />
<style type="text/css">
    .form-group.m-form__group.row{
        padding-bottom: 10px;
    }
    .error_label{
        color: red;
    }
    .select2-selection.select2-selection--multiple{
        height: 38px;
    }
</style>
@endsection
@section('title_right_section')
    <a href="{{ 'admin::places.create'}}"
       class="btn btn-accent m-btn m-btn--custom m-btn--icon m-btn--air m-btn--pill btn btn-success pull-right">asdfsadf</a>
@endsection
@section('content')
    <div class="m-grid__item m-grid__item--fluid m-wrapper">
        <!-- BEGIN: Subheader -->
        <div class="m-subheader ">
            <div class="d-flex align-items-center">
                <div class="mr-auto">
                    <h3 class="m-subheader__title m-subheader__title--separator">
                        @yield('title')
                    </h3>
                    <ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
                        <li class="m-nav__item m-nav__item--home">
                            <a href="{{URL::previous()}}" class="m-nav__link m-nav__link--icon">
                                <i class="m-nav__link-icon la la-users"></i>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{route('articles.index')}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    All Articles
                                </span>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{URL::current()}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    @yield('title')
                                </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END: Subheader -->
        <div class="m-content">
            <!--begin::Portlet-->
            <div class="m-portlet">
                <!--begin::Form-->
               <form method="post" class="m-form m-form--state m-form--fit m-form--label-align-right" enctype="multipart/form-data" action="{{ url('admin/articles') }}" id="place_form_sample_3"
              class="m-form m-form--state m-form--fit m-form--label-align-right ">
              <div class="m-portlet__body">
            {{--{{ method_field('POST')}}--}}
            {{ csrf_field() }}
           
             
            <div class="form-body">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <button class="close" data-close="alert"></button>
                        <span> You have <?php echo count($errors->all()) ?> errors. Please check below.</span>
                    </div>
                @endif
                
                <div class="row ">
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Name <span class="error_label">*</span></label>
                            <input value="{{old('title')}}" name="title" type="text" id="place_name" class="form-control required"
                                   placeholder="Name">
                            <p class="text-danger">{{$errors->first('title')}}</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Publish By <span class="error_label">*</span></label>
                            <input value="{{old('publish_by')}}" name="publish_by" type="text" id="place_name" class="form-control required"
                                   placeholder="Publish By">
                            <p class="text-danger">{{$errors->first('publish_by')}}</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Slug  <span class="error_label">*</span></label>
                            <input value="{{old('slug')}}" name="slug" type="text" id="place_name" class="form-control required"
                                   placeholder="Slug">
                            <p class="text-danger">{{$errors->first('publishby')}}</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Keywords </label>
                           {{-- <input value="{{old('keyword')}}" name="keyword" type="text" id="place_name" class="form-control required"
                                   placeholder="Keywords">--}}
                            <select name="keyword[]" id="select2-multiple-input-sm1" class="form-control input-sm select2-multiple"
                                    data-placeholder="Select Keywords" multiple>
                                @foreach($keywords as $keyObj)
                                    <option @if(old('category_id') == $keyObj->id) selected="selected" @endif value="{{$keyObj->id}}">{{$keyObj->keyword_name}}</option>
                                @endforeach
                            </select>
                            <p class="text-danger">{{$errors->first('keyword')}}</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Order No <span class="error_label">*</span></label>
                            <input value="{{old('order_no')}}" name="order_no" type="text" id="place_name" class="form-control required"
                                   placeholder="Order No">
                            <p class="text-danger">{{$errors->first('order_no')}}</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Publish On <span class="error_label">*</span></label>
                            <input value="{{old('publish_on')}}" name="publish_on" type="text" id="place_name" class="form-control required"
                                   placeholder="Publish On">
                            <p class="text-danger">{{$errors->first('publish_on')}}</p>
                        </div>
                    </div>
               <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Short Description</label>
                            <textarea name="short_des" class="form-control"></textarea>
                        </div>
                    </div>
               
                    </div>
                </div>

             
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group m-form__group row">
                            <label class="control-label">Description <span class="error_label">*</span></label>
                        
                        </div>
                            <textarea name="description"  class="summernote required"  >{{old('description')}}
                            </textarea>
                            <p class="text-danger">{{$errors->first('description')}}</p>
                     </div>
                
                    <div class="col-md-6 ">
                        
                        <div class="form-group ">
                        <label class="control-label"> Choose Images <span class="error_label">*</span></label>
                        <br>
                        <input type="file" class="required" name="file[]" id="photo"  onchange="readFile(this);" multiple>
                        </div>
                        <div id="status"></div>
                         <div id="photos" class="row" style="width: 100%"></div>
                    </div>

                </div>

        </div>
        <div class="row" style="padding: 15px">
            <div class="col-md-6"></div>
            
                <div class="col-md-6 right">
                    <div class="form-actions pull-right">
                <button style="margin-right: 10px" type="submit" class="btn btn-accent btn_save">
                    <i class="fa fa-check"></i> Create
                </button>
                <a href="{{url('admin/articles')}}" class="btn btn-secondary"> Cancel </a>
                </div>
            </div>
           </div>
    </form>
            <!--end::Form-->
            </div>
            <!--end::Portlet-->
        </div>
    </div>

@stop

@section('footer_space')

   <script src="{{ asset('assets/pages/articals/create.js') }}"></script>
   <script type="{{ asset('public/admin/js/select2.js') }}"></script>
   <script type="text/javascript">
       $(document).ready(
           function () {
               $(".select2-multiple").select2();
           }
       );
   </script>
     <script src="{{ asset('assets/demo/default/custom/components/forms/widgets/summernote.js') }}"></script>
 

<script>
    function readFile(input) {
    $("#status").html('Processing...');
    counter = input.files.length;
        for(x = 0; x<counter; x++){
            if (input.files && input.files[x]) {

                var reader = new FileReader();

                reader.onload = function (e) {
            $("#photos").append('<div class="col-md-3 col-sm-3 col-xs-3 imagePlace" id="image_"+x> <input type="radio" name="main_image" style="margin-left: 35px;"> <img src="'+e.target.result+'" class="img-thumbnail"><a href="javascript:void(0);" class="image_remove" >Remove </a></div>');
                };

                reader.readAsDataURL(input.files[x]);
            }
    }
    if(counter == x){$("#status").html('');}
  }
</script>
<script>
    $(document).ready(function (e) {
        $('.image_remove').click(function () {
            var id = $(this).attr('id');
            // alert('.image_'.concat(id));
            $.ajax({
                type: "GET",
                url: admin_url + "/admin/places/remove_image",
                data: {'id': id},
                success: function (data) {
                    /*alert(data);*/
                    $('#image_'.concat(data)).hide();
                }
            });
        });
    });
</script>
 <script>
   
</script>
@stop

resources/views/admin/articles/import_places.blade.php
@extends('layouts.master')
@section('title', 'Import')
@section('header_space')
<style type="text/css">
    #place_form_sample_3{
        width: 70%;
        margin: 0 auto;
    }
</style>

@endsection

@section('content')
    <div class="m-grid__item m-grid__item--fluid m-wrapper">
        <!-- BEGIN: Subheader -->
        <div class="m-subheader ">
            <div class="d-flex align-items-center">
                <div class="mr-auto">
                    <h3 class="m-subheader__title m-subheader__title--separator">
                        @yield('title')
                    </h3>
                    <ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
                        <li class="m-nav__item m-nav__item--home">
                            <a href="{{URL::previous()}}" class="m-nav__link m-nav__link--icon">
                                <i class="m-nav__link-icon la la-users"></i>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{route('places.index')}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    All Places
                                </span>
                            </a>
                        </li>
                        <li class="m-nav__separator">
                            -
                        </li>
                        <li class="m-nav__item">
                            <a href="{{URL::current()}}" class="m-nav__link">
                                <span class="m-nav__link-text">
                                    @yield('title')
                                </span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- END: Subheader -->
        <div class="m-content">
            <!--begin::Portlet-->
            <div class="m-portlet">
                <!--begin::Form-->
               <form method="post" class="m-form m-form--state m-form--fit m-form--label-align-right" enctype="multipart/form-data" action="{{ url('admin/places/excel') }}" id="place_form_sample_3"
              class="m-form m-form--state m-form--fit m-form--label-align-right ">
              <div class="m-portlet__body">
            {{--{{ method_field('POST')}}--}}
            {{ csrf_field() }}
             <input type="hidden" value="4" name="category_id" id="category_id">
             
            <div class="form-body">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <button class="close" data-close="alert"></button>
                        <span> You have <?php echo count($errors->all()) ?> errors. Please check below.</span>
                    </div>
                @endif
                
                <div class="row ">
                    <div class="col-md-6">
                        <div class="form-group m-form__group ">
                            <label class="control-label">Choose Excel File</label><br>
                        <input value="" name="file" type="file" id="file" class=" required" placeholder="Place Name">
                       
                        </div>
                    </div>
                </div>
                    
              

        </div>
        <div class="row" style="padding: 15px">
            <div class="col-md-6"></div>
            
                <div class="col-md-6 right">
                    <div class="form-actions pull-right">
                <button style="margin-right: 10px" type="submit" class="btn btn-accent btn_save">
                    <i class="fa fa-check"></i> Import
                </button>
                <a href="{{url('admin/places')}}" class="btn btn-secondary"> Cancel </a>
                </div>
            </div>
             </div>
              </div>
  
    </form>
            <!--end::Form-->
            </div>
            <!--end::Portlet-->
        </div>
    </div>


@stop

@section('footer_space')

  
    
@stop